package com.huigou.topsun.proofing.domain.proofingMake.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * title: 样品制作单数据传SAP接口
 * author:ZHT
 * date:2024/1/8
 * description:
 */
@Data
public class ProofingMakeReturn implements Serializable {
    /**
     * 产品编码
     */
    @JsonProperty("MATNR")
    private String productCode;

    /**
     * 产品名称
     */
    @JsonProperty(value = "MAKTX",required = true)
    private String productName;

    /**
     * 产品数量
     */
    @JsonProperty(value = "BMENG",required = true)
    private String productNumber;

    /**
     * 产品计量单位
     */
    @JsonProperty(value = "BMEIN",required = true)
    private String productUnit;

    /**
     * BOM有效起始日期
     */
    @JsonProperty(value = "DATUV",required = true)
    private Date productDatuy;

    /**
     * ECN号
     */
    @JsonProperty(value = "AENNR",required = true)
    private String productAennr;

    /**
     * 单层厚(单位丝)
     */
    @JsonProperty(value = "ZDCH",required = true)
    private Integer productSingleLayer;

    /**
     * 单重(单位KG)
     */
    @JsonProperty(value = "ZDANZ",required = true)
    private Double productSingleWeight;

    /**
     * 行数
     */
    @JsonProperty(value = "ZPBHS",required = true)
    private Integer rowNum;

    /**
     * 派工倍数
     */
    @JsonProperty(value = "ZPGBS",required = true)
    private Integer dispatchMultiple;

    /**
     * 更新标识
     */
    @JsonProperty(required = true)
    private String  UPDKZ;

    /**
     * bom结点
     */
    private List<Map<String ,Object >> BOMItems;

}
